Vsan Phone Home System Vsan Query Object Snapshots Info

Vsan Phone Home System Vsan Query Object Snapshots Info
API to get vSAN object snapshot information in a vSAN cluster

API to get vSAN object snapshot information in a vSAN cluster

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanPhoneHomeSystem/{moId}/VsanQueryObjectSnapshotsInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanPhoneHomeSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanQueryObjectSnapshotsInfoRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

Target cluster

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

string of json format data, for example: {"summary" : { "TotalObjects" : , "TotalSnapshots" : }, "detail" : { "snapshot_count_0" : count, "snapshot_count_1" : count, "snapshot_count_2" : count } }

Returns string of type(s) application/json
Operation doesn't return any data structure

500

InvalidArgument: Exception for invalid input arguments, for example, if the given argument is not passed correctly.

InvalidType: Exception for invalid type arguments, for example, if the given argument is not type of cluster moId.

ManagedObjectNotFound: Exception for invalid reference argument, for example, if the given cluster is not found.

Returns RuntimeFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanPhoneHomeSystem/{moId}/VsanQueryObjectSnapshotsInfo